class sudo {


	package { sudo:
		ensure => present,
	}

	if $operatingsystem == "Ubuntu" {
		package { "sudo-ldap":
			ensure => present,
			required => Package["sudo"],
		}
	}

	file { "/etc/sudoers":
		owner => "root",
		group => "root",
		mode => 0440,
		source => "puppet://$puppetserver/modules/sudo/etc/sudoers",
		require => Package["sudo"],
	}
}

